use regex::Captures;
use eyre::Result;
use super::*;

pub struct HasEpisodeName {}
impl Rule for HasEpisodeName {
    fn check(_filename: &str, captures: &Captures) -> Option<NonCompliantReason> {
        if captures.name("name").is_none() {
            return Some(NonCompliantReason::MissingName)
        }

        return None
    }

    fn fix(_filename: &str, _captures: &Captures) -> Result<FixStatus> {
        return Ok(FixStatus::NotImplemented)
    }
}
