use regex::Captures;
use eyre::Result;
use super::*;

pub struct MissingSeparator {}
impl Rule for MissingSeparator {
    fn check(_filename: &str, captures: &Captures) -> Option<NonCompliantReason> {
        if captures.name("nameSeparator").is_none() {
            return Some(NonCompliantReason::MissingNameSeparator)
        }

        return None
    }

    fn fix(_filename: &str, _captures: &Captures) -> Result<FixStatus> {
        return Ok(FixStatus::NotImplemented)
    }
}
